CREATE procedure [C6StagingPeriodico].[RP_ST_NeedArea_pre_selective] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_NeedArea_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_NeedArea
	insert into C6StagingPeriodico.RP_NeedArea
	/* 20161222 */
	--select * from [CONSEVO].[CatalogoProdotti].dbo.NeedArea
	select * from [CONSUNI].[CatalogoProdotti].dbo.NeedArea
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_NeedArea_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_NeedArea_pre_selective'
		)
end